Bug 6331 - Notify Users email CC function broken
Notify Users email CC function broken
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Editors
2.4.0
All All
: P3 normal
Assigned To: Matthew Crider
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-05 07:49 PST by James MacGregor
Modified: 2012-08-09 16:13 PDT (History)
6 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OJS 2.3.7 (1.18 KB, patch)
2012-08-09 16:11 PDT, Matthew Crider
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2011-01-05 07:49:02 PST
If an Editor sends a Notify Users email and checks the "Send a copy of this message to my address" option, a copy is sent to that address *for each email sent* -- so that if the email is sent to 500 readers, the Editor gets 500 emails. Only one email should be sent.
Comment 1 Joseph Daddario 2011-11-06 15:44:15 PST
Does this issue exist only with the version 2.3.7? If so, how can I grab this? Doesn't appear on Github...
Comment 2 Alec Smecher 2011-11-06 16:15:52 PST
OJS 2.3.7 will be the next release from the ojs-stable-2_3 tree in git; when it's released it'll be tagged as ojs-2_3_7-0. In this case you should be working with the ojs-stable-2_3 branch if OJS (and any fixes will probably also need to be ported to git head, a.k.a. the development / unstable branch).
Comment 3 Alec Smecher 2012-03-12 10:05:13 PDT
Deferring.
Comment 4 James MacGregor 2012-07-25 11:51:10 PDT
Scheduling against 2.4 as this one has been a PITA for a number of users.
Comment 5 Matthew Crider 2012-08-09 15:15:02 PDT
Fixed Notify Users email CC function
https://github.com/pkp/ojs/commit/54b4624d1793c2f75bfb148164a4c748da964ac2
Comment 6 Matthew Crider 2012-08-09 16:10:02 PDT
Fixed Notify Users email CC function
https://github.com/pkp/ojs/commit/683eb58ce6af2cde31a4b9667684bb5cc5f64169
Comment 7 Matthew Crider 2012-08-09 16:11:42 PDT
Created attachment 3840 [details]
Patch against OJS 2.3.7
Comment 8 Matthew Crider 2012-08-09 16:13:19 PDT
Added to patches list; Closing.